package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum GenderEnum {
    /**
     * 男女
     */
    MAN("M","男"),
    WOMAN("W","女");
    private String value;
    private String name;
    GenderEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (MAN.getValue().equals(value)){
            return  MAN.name;
        }else if (WOMAN.getValue().equals(value)){
            return  WOMAN.name;
        }

        return null;
    }
}
